List git namespaces by provider
GET
https://api.vercel.com/v1/integrations/git-namespacesLists git namespaces for a supported provider. Supported providers are
github, gitlab and bitbucket. If the provider is not provided, it will try to obtain it from the user that authenticated the request.https://api.vercel.com/v1/integrations/git-namespaces
const response = await fetch('https://api.vercel.com/v1/integrations/git-namespaces?host=string&provider=value&viewerMetadata=true', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
[ { "id": "icfg_1234567890", "installationId": "123", "isAccessRestricted": "false", "name": "Example Name", "ownerType": "string", "provider": "example_id", "requireReauth": "false", "slug": "string", "viewer": { "canCreateApp": "false", "role": "string" } }]AuthorizationbearerToken
Default authentication mechanism